List Rows

Returns a list of rows contained in a table (or in a view if provided).

The usage of a view in SeaTable could be much more convenient than the usage of the complex SQL-syntax of the SQL query endpoint.

šŸ‘

Big Data support added

Since Version 4.4 this endpoint also supports the big data backend.

Every row consists of the columns, you defined in your base but also hidden informations like _id, _mtime, _ctime, _creator and so on. Get more details about these information in the Models area.

šŸ“˜

Hidden Columns

If no view is selected, all columns (even hidden one) are returned. If a view is selected, only the visible columns of that view are returned with the request.

šŸ“˜

Link Columns

From version 5.3 onward, the link column of a row returns a maximum of 50 records.

Path Params
string
required

The unique identifier of a base. Sometimes also called dtable_uuid.

Query Params
string
required

The name of the table to perform the operation on. Alternatively, you can use the table_id instead of table_name. If using table_id, ensure that the key in the request body is replaced accordingly.
Example: Instead of table_name: Table1 you can use table_id: 0000.

string

The name of the view to perform the operation on. Alternatively, you can use the view_id instead of view_name. If using view_id, ensure that the key in the request body is replaced accordingly.
Example: Instead of view_name: Default View you can use view_id: 0000.

integer

Starting position (number) of the returned rows. 0 by default.

integer
1 to 1000

Number of rows that should be returned. 1000 by default.

boolean

Determines if the columns are returned as their keys (false by default) or their names (true).

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json